<?
	if($dane_pola['id_gracza']==0){ // autostrada do niekogo nie należy
		if($go2=="kup-autostrade" and $_POST['akcja']=="kupuje"){
			$update = mysql_query("UPDATE pola SET id_gracza='".$_SESSION['id_gracza']."', czas_gracza='11' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' and id_pola='".$dane_gracza['pozycja']."' LIMIT 1;");
			$dane_gracza['gotowka'] = $dane_gracza['gotowka'] - $autostrada_koszt;
			// nie liczymy autostrady do majątku? (to raczej wynajem pola niż własność)
			$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");
			$czy_dalej = true;
		}elseif($go2=="kup-autostrade" and $_POST['akcja']=="nie_kupuje"){
			$czy_dalej = true;
		}elseif($go2=="kup-autostrade"){ // jeśli jest okienko
			$tpl->assign('nazwa_pola',"Autostrada");
			$tpl->assign('opis',"Możesz kupić tą autostradę i będzie należała do Ciebie przez <b>".$autostrada_traci_po."</b> tur. Jak ktoś postawi pionek na tym polu to będziesz dostawać <b>".$autostrada_zarobek."</b> zł");
			$tpl->assign('cena',$autostrada_koszt);
		}else{ // jeśli nie ma okienka to przekierowanie
			header('Location: gra,kup-autostrade.html#'.$dane_gracza['pozycja']);
		}
	}elseif($dane_pola['id_gracza']==$_SESSION['id_gracza']){ // autostrada jest moja, nic nie rób
		$czy_dalej = true;
	}else{ // autostrada należy do innego gracza
		if($dane_pola['czas_gracza']>0){
			// pobieramy opłatę
			if($go2=="placisz" and $_POST['akcja']=="ok"){
				$update = mysql_query("UPDATE gracze SET gotowka=gotowka+'".$autostrada_zarobek."' WHERE id='".$dane_pola['id_gracza']."' LIMIT 1;");
				$czy_dalej = true;
			}elseif($go2=="placisz"){ // jeśli jest okienko
				$tpl->assign('naglowek_pola','<p><span>Stanąłeś na</span></p><h2>Autostrada</h2>');
				// nazwa właściciela i pionek
				$dane_wlasciciela = mysql_fetch_array(mysql_query("SELECT nazwa,pionek FROM gracze WHERE id='".$dane_pola['id_gracza']."' LIMIT 1;"));
				$tpl->assign('nazwa_wlasciciela',$dane_wlasciciela['nazwa']);
				$tpl->assign('pionek_wlasciciela',$dane_wlasciciela['pionek']);
				$tpl->assign('placisz',$autostrada_zarobek);
			}else{ // jeśli nie ma okienka to przekierowanie
				header('Location: gra,placisz.html#'.$dane_gracza['pozycja']);
			}
		}else{ // zerujemy właściciela (bo czas już mu się skończył)
			$update = mysql_query("UPDATE pola SET id_gracza='0', czas_gracza='0' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' and id_pola='".$dane_gracza['pozycja']."' LIMIT 1;");
			header('Location: gra,kup-autostrade.html#'.$dane_gracza['pozycja']);
		}
	}
?>